using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace Bailun.DC.LogicWareHouse
{
    class Program
    {
        static async Task Main(string[] args)
        {
            Console.WriteLine("进入 每日同步SKU仓库库存+销量统计信息");
            new Services().Save();
            var builder = new HostBuilder().ConfigureServices((hostContext, services) =>
            {
                services.AddHostedService<Services>();
            });

            await builder.RunConsoleAsync();
        }

        //static void Main(string[] args)
        //{
        //    new Services().Save();
        //}
    }
}
